Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ValueDefaultPropertyBundleDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.PublicObjectDefinition
              oracle.ifs.beans.ApplicationObjectDefinition
                  oracle.ifs.beans.PropertyBundleDefinition
                      oracle.ifs.beans.ValueDefaultPropertyBundleDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ValueDefaultPropertyBundleDefinition

extends PropertyBundleDefinition

A ValueDefaultPropertyBundleDefinition is a template for creating a new ValueDefaultPropertyBundle.

See Also:
  Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`ValueDefaultPropertyBundleDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`ValueDefaultPropertyBundleDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`AttributeValue` | `getPropertyValue()` Gets the value of the new ValueDefaultPropertyBundleDefinition, as an AttributeValue.
`void` | `setValue(AttributeValue av)` Sets the value and data type of the new ValueDefaultPropertyBundle.
`void` | `setValue(boolean value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Boolean value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(boolean[] value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Boolean[] value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(java.util.Date value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(java.util.Date[] value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(DirectoryObject value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(DirectoryObject[] value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(double value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Double value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(double[] value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Double[] value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(int value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(int[] value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Integer value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Integer[] value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(long value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Long value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(long[] value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.Long[] value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(PublicObject value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(PublicObject[] value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(SchemaObject value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(SchemaObject[] value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.String value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(java.lang.String[] value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(SystemObject value)` Sets the value of the new ValueDefaultPropertyBundle.
`void` | `setValue(SystemObject[] value)` Sets the value of the new ValueDefaultPropertyBundle.
`static ValueDefaultPropertyBundleDefinition` | `toValueDefaultPropertyBundleDefinition(LibraryObjectDefinition lodef)` Cast specified LibraryObjectDefinition to a ValueDefaultPropertyBundleDefinition.
`static ValueDefaultPropertyBundleDefinition` | `toValueDefaultPropertyBundleDefinition(LibraryObjectDefinition lodef, boolean enforceCompat)` Cast specified LibraryObjectDefinition to a ValueDefaultPropertyBundleDefinition.

Methods inherited from class oracle.ifs.beans.PropertyBundleDefinition
`addPropertyDefinition, addPropertyDefinitions, addPropertyValue, addPropertyValue, getPropertyDefinitions, removePropertyDefinitions, setPropertyDefinitions, toPropertyBundleDefinition`

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, addCategoryDefinitions, getAddToFolderOption, getAddToFolderValue, getAutoFolderingActionSpecification, getCascadeCopyRelationshipsOption, getCascadeCopyRelationshipsOptionValue, getCategoryCopyOption, getCategoryDefinitions, getContentQuotaCopyOption, getCreateCategoriesServerSideOption, getExplicitCreateAndModifyAttributesOption, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifierOption, getKeepLastModifyDateOption, getLockEntryDefinition, getLockObject, getLockObjectDefinition, getLockObjectValue, getSecuringPublicObject, getSecuringPublicObjectValue, getUpdatedLockObjectDefinition, removeCategoryDefinitions, removeLockEntryDefinition, setAddToFolderOption, setAddToFolderValue, setAutoFolderingActionSpecification, setAutoFolderingActionSpecification, setCascadeCopyRelationshipsOption, setCategoryCopyOption, setCategoryDefinitions, setContentQuotaCopyOption, setCreateCategoriesServerSideOption, setExplicitCreateAndModifyAttributesOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifierOption, setKeepLastModifyDateOption, setLockEntryDefinition, setLockObject, setLockObjectDefinition, setLockObjectValue, setNullSecurity, setPrivateSecurity, setSecuringPublicObject, setSecuringPublicObjectValue, setUpdatedLockObjectDefinition, toPublicObjectDefinition, toPublicObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueDefaultPropertyBundleDefinition

    public ValueDefaultPropertyBundleDefinition(LibrarySessionInterface session)
                                         throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be ValueDefaultPropertyBundle.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### ValueDefaultPropertyBundleDefinition

    public ValueDefaultPropertyBundleDefinition(LibrarySessionInterface session,
                                                java.lang.String className)
                                         throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setValue

    public final void setValue(int value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have an `INTEGER` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Integer value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have an `INTEGER` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(long value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `LONG` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Long value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `LONG` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(double value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `DOUBLE` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Double value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `DOUBLE` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(boolean value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `BOOLEAN` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Boolean value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `BOOLEAN` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.String value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `STRING` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.util.Date value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `DATE` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(SchemaObject value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `SCHEMAOBJECT` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(SystemObject value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `SYSTEMOBJECT` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(PublicObject value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `PUBLICOBJECT` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(DirectoryObject value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `DIRECTORYOBJECT` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(int[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `INTEGER_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Integer[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have an `INTEGER_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(long[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have an `LONG_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Long[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `LONG_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(double[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `DOUBLE_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Double[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `DOUBLE_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(boolean[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `BOOLEAN_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.Boolean[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `BOOLEAN_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.lang.String[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `STRING_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(java.util.Date[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `DATE_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(SchemaObject[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `SCHEMAOBJECT_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(SystemObject[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `SYSTEMOBJECT_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(PublicObject[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `PUBLICOBJECT_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public final void setValue(DirectoryObject[] value)
                        throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value of the new ValueDefaultPropertyBundle.

  The new ValueDefaultPropertyBundle will have a `DIRECTORYOBJECT_ARRAY` data type.

  Parameters:
    `value` - the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPropertyValue

    public AttributeValue getPropertyValue()
                                    throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Gets the value of the new ValueDefaultPropertyBundleDefinition, as an AttributeValue.

  Returns:
    the value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setValue

    public void setValue(AttributeValue av)
                  throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Sets the value and data type of the new ValueDefaultPropertyBundle.

  Parameters:
    `av` - the new value; implies the data type
  Throws:
    `IfsException` - if the operation fails
  (Published)

### toValueDefaultPropertyBundleDefinition

    public static ValueDefaultPropertyBundleDefinition toValueDefaultPropertyBundleDefinition(LibraryObjectDefinition lodef)
                                                                                       throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Cast specified LibraryObjectDefinition to a ValueDefaultPropertyBundleDefinition.

  Return null if the specified definition is not a ValueDefaultPropertyBundleDefinition, or if the specified definition is null.

  Parameters:
    `lodef` - the definition to be casted
  Returns:
    a ValueDefaultPropertyBundleDefinition casted from the specified definition
  Throws:
    `IfsException` - is not currently thrown.
  (Unpublished)

### toValueDefaultPropertyBundleDefinition

    public static ValueDefaultPropertyBundleDefinition toValueDefaultPropertyBundleDefinition(LibraryObjectDefinition lodef,
                                                                                              boolean enforceCompat)
                                                                                       throws IfsException

  Description copied from class: `ValueDefaultPropertyBundleDefinition`
  Cast specified LibraryObjectDefinition to a ValueDefaultPropertyBundleDefinition.

  Return null if the specified definition is null. If non-null and unable to cast, return null if enforceCompat is false but throw an IfsException if the specified definition is not a ValueDefaultPropertyBundleDefinition.

  Parameters:
    `lodef` - the definition to be casted
    `enforceCompat` - whether to throw an exception if a non-null definition cannot be cast
  Returns:
    a ValueDefaultPropertyBundleDefinition casted from the specified definition
  Throws:
    `IfsException` - (IFS-10822) if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD